Jump to content

Archived

This topic is now archived and is closed to further replies.

gyan000

[SCRIPT] Installation pilote ATI sous Mandriva

Recommended Posts

je viens d'utliser la commande

ls -al /usr/src et voila le resultat

drwxr-xr-x /.

drwxr-xr-x /..

drwxr-xr-x /ATI

lrwxrwxrwx /LINUX ->linux-2.6.8.1-12.mdk

drwxr-xr-x /linux-2.6.8.1-12.mdk

drwxr-xr-x /RPM

et pour aller voir les log

je n ai pas les droit

merci pour links je vais essayer

Share this post


Link to post
Share on other sites
je viens d'utliser la commande

ls -al /usr/src et voila le resultat

drwxr-xr-x /.

drwxr-xr-x /..

drwxr-xr-x /ATI

lrwxrwxrwx /LINUX ->linux-2.6.8.1-12.mdk

drwxr-xr-x /linux-2.6.8.1-12.mdk

drwxr-xr-x /RPM

et pour aller voir les log

je n ai pas les droit

merci pour links je vais essayer

Tu as 2 possibiltés qui s'offrent à toi :

1 - Revenir dans un état normal sans drivers 3D.

a/ tu démarres sous mandrake en mode console : CTRL+ALT+F1

b/ tu te connectes avec le compte root:

Login : root

password: <mot2passe_root>

c/ Excécute la commande : mv /etc/X11/xorg.conf /etc/X11/xorg.ati

d/ Excécute la commande : mv /etc/X11/xorg.conf.old /etc/X11/xorg.conf

e/ Excécute la commande : service dm restart

f/ Normalement tu dois te retrouver en mode graphique.

2 - Retenter l'installation avec mon script et en lisant scrupuleusement le tuto et en regardant bien ce qu'il se passe à l'écran. (Ne pas répondre au hasard, pas comme sous windows ::non::).

Question : Ta copie d'ecran indiqué ci-dessus est-elle exacte ?

lrwxrwxrwx /LINUX ->linux-2.6.8.1-12.mdk

Ce n'est pas plutot ça :

lrwxrwxrwx /linux ->linux-2.6.8.1-12.mdk

Il faut savoir que linux différencie les majuscules des minuscules. Donc si ton lien "LINUX" n'est pas en minuscule alors cela ne risque pas de fonctionné pour l'installation des drivers.

Bon, je serai plus disponible ce week-end. Bon courage et tiens bon ;)

Share this post


Link to post
Share on other sites

en fait c'est bien

[quote

Ce n'est pas plutot ça :

lrwxrwxrwx /linux ->linux-2.6.8.1-12.mdk

voila j'ai retente l'install avec le script et juste avant de demander si il y a le message d'erreur par rapport au noyau

il me dit que

le module fglrx n existe pas

le module nvidia-ag ne peut pas etre decharger

que le module agpgart est utlise par nvidia-ag

et quand je tente de relance le mode graphique il basule sur un ecran noir et si je repasse en mode console j'ai les message suivant

lancement de dm ok

et

cannot open master raw device /dev/rawctl

:chinois:

Share this post


Link to post
Share on other sites

Si je comprends bien tu n'as pas été jusqu'au bout de l'installation avec le script ?

Le script essaye de décharger les modules (flgrx, nvidia-agp et agpgart) avant l'installation des drivers. Donc c'est normal d'avoir ces messages d'erreurs.

Ensuite le script te pose la question si tu as un problème avec l'installation du driver ATI par rapport au noyau. Au vue de ta config system, tu dois repondre non.

Après il va te proposer de configurer le serveur graphique Xorg et créer un fichier "XF86Config-4" dans le répertoire /etc/X11. Attention, la configuration du serveur graphique est la plus importante, si c'est mal configurer il est fort probable que tu ne puisses pas repasser en mode graphique.

Executes la commande : modprobe flgrx

Executes la commande : lsmod |grep flgrx

Executes la commande : ls -al /etc/X11/XF86Config-4

Si ces commandes ne ramène rien comme résultat, tu es bon pour réinstaller les drivers ATI avec le script jusqu'au bout.

Share this post


Link to post
Share on other sites

Salut tout le Monde

OUai le tuto est super bien fait MAIS

:8 depuis 3 plombes je ne peut pas installer ma radeon 9700 mobility (je considere que le driver 9700 va aussi pour 9700 mobility) parceque je ne trouve pas la source a télécharger pour le noyau 2.6.8.1-12mdksmp qui est pourtant livré avec la mandrake 10.1 download..j'ai cherché partout :p et je n'ai pas trouvé ;)

DU coup j'ai ce message

initializing...

Error:

kernel includes at /usr/src/linux/include do not match current kernel.

they are versioned as ""

instead of "2.6.3-7mdk".

you might need to adjust your symlinks:

- /usr/include

- /usr/src/linux

Super chiant lors de la compil du noyau

Aidez moi :| xièxiè merci

Share this post


Link to post
Share on other sites

Quel est le tuto que tu as utilisé ? manuel ou via un script ?

Peux-tu exécuter la commande suivante : ls -al /usr/src

Share this post


Link to post
Share on other sites

la source n'est pas spécialement smp, ce sont les options de conf du noyau qui en font un smp ou pas. cherche donc les sources 2.6.8.1-12mdk

Share this post


Link to post
Share on other sites
Si je comprends bien tu n'as pas été jusqu'au bout de l'installation avec le script ?

Le script essaye de décharger les modules (flgrx, nvidia-agp et agpgart) avant l'installation des drivers. Donc c'est normal d'avoir ces messages d'erreurs.

Ensuite le script te pose la question si tu as un problème avec l'installation du driver ATI par rapport au noyau. Au vue de ta config system, tu dois repondre non.

Après il va te proposer de configurer le serveur graphique Xorg et créer un fichier "XF86Config-4" dans le répertoire /etc/X11. Attention, la configuration du serveur graphique est la plus importante, si c'est mal configurer il est fort probable que tu ne puisses pas repasser en mode graphique.

Executes la commande : modprobe flgrx

Executes la commande : lsmod |grep flgrx

Executes la commande : ls -al /etc/X11/XF86Config-4

Si ces commandes ne ramène rien comme résultat, tu es bon pour réinstaller les drivers ATI avec le script jusqu'au bout.

J'avais bien ete au bout du script quand memeet la,je viens d'esayer les 2 solutions proposes et toujours le meme resultat et pendant l'install j ai ce message d'erreur

fglrx_6_8_0 en conflit avec fglrx_4_3_0-8.8.25-1

fglrx_4_3_0 en conflit avec fglrx_6_8_0-8.8.25-1

en fait quand j'essais de lance le mode graphique j ai un ecran noir qui clignote avnt de revenir en mode console

:haine:

:francais:;):p:bouletdujour: :bouletdujo

Share this post


Link to post
Share on other sites

:francais:;):p:bouletdujour::haine::roll::love::love:

Bas je sèche là....

Bon dernière solution à laquelle je ne voulais pas arriver, c'est de repartir de zero. Un nouvelle installation de la mandrake toute propre et juste après l'installation des drivers graphique. :love:

Désolé, mais je pense que cela va être plus compliqué si on continue à te poser des questions. :love:

Bon courage et tiens nous au courant.

Share this post


Link to post
Share on other sites

et si tu désinstallait TOUS les drivers proprio d'ati avant d'en installer de nouveau?

et puis essayes à la main, sinon, on ne sait jamais. au fait, tu as XFree 4.3 ou xorg 6.8?

Share this post


Link to post
Share on other sites

Salut.

Est-ce que quelqu'un possédant une ATI radeon 9000 igp a réussi à faire fonctionner l'accélération 3D?

J'ai bien essayé avec les drivers officiels, mais le simple fait de lancer glxgears me plantait ma bécanne, et pour de bon (les touches magiques ne fonctionnaient même pas!)

neologix

Share this post


Link to post
Share on other sites

Si tu n'utilise pas la sortie TV, tu n'as aucun intérêt d'utiliser les drivers proprios (ils vont moins vite et sont moins stables...)

Share this post


Link to post
Share on other sites

Merci tuXXX.

Je ne veux pas pousser, mais aurais-tu l'adresse d'un site avec les instructions d'installation pour une Debian?

J'en ai trouvé plusieurs, mais ils ne sont pas d'accord, et pas très clairs.

Merci.

Share this post


Link to post
Share on other sites

j'ai fais une grosse connerie ....et j'ai entamé uen réparation.....

j'ai installé le script sans arrêter la console x!!!!

il a mis à jour mon kernel vers le 2.6.

ben ej découvre de strucs ya rien d'installer sur la version download hehe

j'ai eu une FATAL error à propos de fglrx qu'il trouvait pas , je suppose que la version correspondait pas au kernel...

donc BOOOm la rpération en fonctionnant pas j'ai formaté réinstallé ....

bon on va faire court :

quels sont les prérequis pour l'installation des driver ati ?

version du kernel ?

fglrx ?

autre truc auquel on pense pas quand on est bleu genre gcc qui est pas installé ....

Share this post


Link to post
Share on other sites

Bon pour répondre à tes questions:

Les prérequis sont:

1 - Avoir une mandrake official 10.1 d'installer

2 - Installer les packages gcc et companies : urpmi gcc

3 - Installer les kernel-sources : urpmi kernel-sources-2.6-2.6.8.1-12mdk (le script d'instllation des drivers ati le fait automatiquement.

Pour le reste voir les prérequis indiqués dans le tuto suivant :

Installation facile des drivers ATI avec un script

Je mettrai à jour mon script ce soir afin de prendre en compte l'installation du compilateur gcc. Merci pour l'info.

Share this post


Link to post
Share on other sites

et surtout : ARRETER DE FORMATER À LA MOINDRE MERDE!!!

tu as un systeme robuste qui peut se réparer, suffit d'en vouloir un peu...

Share this post


Link to post
Share on other sites
et surtout : ARRETER DE FORMATER À LA MOINDRE MERDE!!!

tu as un systeme robuste qui peut se réparer, suffit d'en vouloir un peu...

+1 :chinois:

Bon je suis en cours de l'amélioration de mon script d'installation des drivers ATI.

J'aurais besoin de certains renseignements:

1 - Avec les dernières versions des drivers ATI 8.8.25-1, As-t'on toujours besoin de désinstaller les librairies MESA sur mandrake official 10.1 ? Est-ce systématiquement obligatoire ?

2 - Dans mon script, j'avais ajouté la correction d'un bug pour UT2004 voici le code :

echo -e "-------------------------------------"
echo -e "Correction d'un bug pour UT2004"
echo -e "-------------------------------------"
cd /usr/X11R6/lib
rm libGL.so.1
ln -s /usr/lib/libGL.so.1 libGL.so.1

Ce problème était connu avec les drivers 3.14.

Est-ce toujours d'actualité avec les derniers drivers ?

3 - Dois-je supprimer la configuration automatique des media urpmi ?

Merci d'avance de vos réponses, je pense qu'elles me seront bien utiles.

Share this post


Link to post
Share on other sites
et surtout : ARRETER DE FORMATER À LA MOINDRE MERDE!!!

tu as un systeme robuste qui peut se réparer, suffit d'en vouloir un peu...

réflexe mircosoftien ou franco français ; quand ça merde on efface tout !

mEA MAXIMA CULPA !

j'ai pas retenté l'installation des driver ati... je m'y mettrais des demain ... en espérant en plus voir de FATAL ERROR !

petite remarque il y a beaucoup plus de questions que dans le tuto :) je me suis démerdé commeeels autres je pense mais

en plus il a pas voulu accepter mes réglages pour mon iiyama 30-115 50-120 dixit iiyama itself ! :(

mais bon comme j'avais visiblement une erreur liée au fglrx du kernel ça a merdé en cascade derrière..... j'avais plus que la console...

Share this post


Link to post
Share on other sites

si tu n'as plus que la console tu dispose encore d'un outil très puissant. tu peux reconfigurer intégralement ton systeme, aller sur le net (links), et c'est tout ce dont tu as besoin.

Le nombre de personnes qui sont venues sur ce forum avec un navigateur en mode texte pour dire "help, j'ai tout cassé!" est loin d'être nul :D

joe > perso je serais pour virer la reconfig des media dans urpmi, car tout le monde devrait déjà l'avoir fait, et mettre plutôt un choix à l'entrée : "Êtes-vous sûr d'avoir bien configuré urpmi?".

Sinon, pleins de gens vont encore faire pleins de co :fumer: sans rien y comprendre... :p

Share this post


Link to post
Share on other sites

loinc :

joe > perso je serais pour virer la reconfig des media dans urpmi, car tout le monde devrait déjà l'avoir fait, et mettre plutôt un choix à l'entrée : "Êtes-vous sûr d'avoir bien configuré urpmi?".

Sinon, pleins de gens vont encore faire pleins de co censored.gif sans rien y comprendre... clindoeil.gif

J'en prends note.

Juste pour info, mon script propose la configuration des media dans urpmi à laquelle on peut out simplement répondre non à la question :

Voulez-vous mettre à  jour votre gestionnaire de package (o/n) ?

Donc je l'enlève comme tu le dis si bien :transpi: .

Je suis en train de modifier mon script pour avoir des messages d'erreurs plus explicite en cas de pépins, et surtout d'avoir la possibilité de revenir en arrière en cas de gros problèmes.

Mais j'ai un pu :non: de problème pour gérer les versions de kernel-source en fonction du noyau existant sur la mandrake. Tu as eu ce genre de problème avec cassandra, et c'est une vraie plaie de gérer des sources différentes du noyau utilisé.

Donc si tu as une soluce je suis preneur.

Car celle qui se présente à mes yeux est la suivante :

urpme kernel-source # désinstallation des sources pour ceux qui ont trafficoter leur mandrake
kernel_version=`uname -r` # Récupération du noyau actuel et utilisé dans la variable kernel_version
urpmi binutils ed gcc kernel-source-2.6-${kernel_version} # Installation des sources correspondant au noyau utilisé

Mais le problème, c'est que parfois les sources du noyau n'existe pas pour le noyau en cours d'utilisation. C'est la merde OUPS !

Cruel dilemme....

Sinon pour les autres questions posées précédemment, as-tu un retour d'expérience ?

Drivers MESA et bug UT2004 ?

Share this post


Link to post
Share on other sites

dans le cas où les sources n'existe pas (comme s'était le cas avec Cassandra - qui vient plus d'ailleurs ;) ), on a mis ç jour le noyau aussi. le tout c'est qu'il faut qu'il existe, quelque part sur un media, un noyal et des sources cohérents entre eux. ce qui est loin d'être évidents...

1_ donc faire un recherche sur les sources du noyaux courant.

2_ si aucun résultat, chercher le dernier rpm du noyau et vérifier qu'il existe un rpm de sources cohérent avec celui-ci.

3_ sinon, mettre à jour les media

c'est relativement lourd, mais bon...

pour mesa, je n'en ai ausune idée, il me semble qu'elles ne sont pas nécéssaire, dans la mesure où le linkage dynamique ne pointe rien vers elle...

UT j'ai jamais eu de problème non plus (désolé, ;) ...), mais enfin, mieux vaut prévenir que guerir :francais:

Share this post


Link to post
Share on other sites
merci

de rien, mais en même temps, c'est toi qui bosse, alors c'est plutôt à nous (les INpactiens linuxiens) de te remercier :ouioui:

Share this post


Link to post
Share on other sites
de rien, mais en même temps, c'est toi qui bosse, alors c'est plutôt à nous (les INpactiens linuxiens) de te remercier :heben:

oui merci pour le noob que je suis..... je vais essayer de m'y mettre

mais 2 questions

1) il semble que ton script arrête la console X non ? ou faut le faire avant de commencer ?(ça je l'avais pas fait moi j'avais appliqué à la lettre ton tuto lebarjoe

2) je crois après avoir lu le topic entier :mdr2: que j'ai eu le même problème que cassandra2004 :mdr2: à savoir une kernel et un kernel source différent (d'où mon Fatal error donc je confirme les versions download c'est dur :mdr2::mdr2:

[root@localhost nunux]# uname -r

2.6.8.1-12mdk

[root@localhost nunux]# urpmi kernel-source

Pour satisfaire les dépendances, les 6 paquetages suivants vont être installés ( 216 Mo):

gcc-3.4.1-4mdk.i586

glibc-2.3.3-23.1.101mdk.i586

glibc-devel-2.3.3-23.1.101mdk.i586

kernel-source-2.4.27-0.pre2.1mdk.i586

libgpm1-devel-1.20.1-11mdk.i586

libncurses5-devel-5.4-1.20040529.2mdk.i586

Est-ce correct ? (O/n) n

[root@localhost nunux]

[root@localhost nunux]# whereis gcc

gcc: /usr/lib/gcc

[code]

dois je faire rpm ......pour récupéprer les bonnes sources de kernell ? :mdr2:

ou comment être sûr que j'ai déjà les bonnes sources de kernell ? :mdr2:

dans une réponse tu as dit comem prérequis la version 10.1 official, moi j'ai al download version il faut que j'installe tout le paquetage des 3 cd ??? pour être sûr de rien louper ?,

ça expliquerait aussi pourquoi dans le secteur mise à jour du mcc de kde, j'ai près de 300Mo de mises à jour !!!

Share this post


Link to post
Share on other sites

si tu regarde, bien, tu verra que ton kernel est un 2.6.x et tes sources des 2.4.x, y a pas un problème, là???

cherche dans les paquetages un

kernel-source-2.6.8.1-12mdk

qui correspondent à ton kernel :xzombi:

Share this post


Link to post
Share on other sites

×
×
  • Create New...